/** *************************************************************************
 *
 * @file	t16_ch0.h
 * @brief	This is T16 Ch.0 driver header file for S1C17W22_W23.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2014. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 04/25/2014    1.00
 *				- First revision.
 *
 ************************************************************************* */

#ifndef T16_CH0_H__
#define T16_CH0_H__


#include "init.h"


/* --- external declaration --- */

// extern void initT16Ch0(void);
extern void startT16Ch0(void);
extern void stopT16Ch0(void);
extern void presetT16Ch0Count( unsigned short count );
extern unsigned short getT16Ch0Count( void );
// extern void intT16Ch0(void)	__attribute__ ((interrupt_handler));

#endif	// T16_CH0_H__
