/****************************************************************************
 *
 * @file	ad12.h
 * @brief	This is AD12 driver header file for S1C17W23.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 10/04/2013    1.00
 *				- First revision.
 *
 ***************************************************************************/

#ifndef	AD12_H___
#define	AD12_H___

#include "init.h"


/* --- external declaration --- */

extern int initAdc(void);
extern int startAdc(void);
extern int stopAdc(void);

#endif	// AD12_H___

