/** *************************************************************************
 *
 * @file	t16_ch3.h
 * @brief	This is T16 Ch.3 driver header file for S1C17W22_W23.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2016. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 05/10/2016    1.00
 *				- First revision.
 *
 ************************************************************************* */

#ifndef T16_CH3_H__
#define T16_CH3_H__


#include "init.h"


/* --- external declaration --- */

// extern void initT16Ch3(void);
extern void startT16Ch3(void);
extern void stopT16Ch3(void);
extern void presetT16Ch3Count( unsigned short count );
extern unsigned short getT16Ch3Count( void );
// extern void intT16Ch3(void)	__attribute__ ((interrupt_handler));

#endif	// T16_CH3_H__
