#ifndef CRT0_H_
#define CRT0_H_

extern void _start(void);
extern void _start1(void);
extern void _init_device(void);
extern void _init_section(void);
extern void _start_device(void);
extern void _stop_device(void);

extern void _init_lib(void);
extern void _init_sys(void);
extern void _exit(int);

#if __GNUC__ >= 4
#define CRT0_LINKED
#endif /* __GNUC__ */

#ifdef CRT0_LINKED
#define C17_INITIAL_STACK_POINTER(sp)		asm(".global __START_stack\n.set __START_stack, " #sp)
#else
#define C17_INITIAL_STACK_POINTER(sp)
#endif /* CRT0_LINKED */

#ifdef CRT0_LINKED
#define C17_INTERRUPT_HANDLER(vh, ih)		void ih(void) __attribute__ ((interrupt_handler)); void vh(void) __attribute__ ((alias(#ih)))
#else
#define C17_INTERRUPT_HANDLER(vh, ih)		void ih(void) __attribute__ ((interrupt_handler))
#endif /* CRT0_LINKED */

#endif /* CRT0_H_ */
