/** *************************************************************************
 *
 * @file	t16_ch1.h
 * @brief	This is T16 Ch.1 driver header file for S1C17W22_W23.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2014. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 04/25/2014    1.00
 *				- First revision.
 *
 ************************************************************************* */

#ifndef T16_CH1_H__
#define T16_CH1_H__


#include "init.h"


/* --- external declaration --- */

// extern void initT16Ch1(void);
extern void startT16Ch1(void);
extern void stopT16Ch1(void);
extern void presetT16Ch1Count( unsigned short count );
extern unsigned short getT16Ch1Count( void );
// extern void intT16Ch1(void)	__attribute__ ((interrupt_handler));

#endif	// T16_CH1_H__
